diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 1526dac..a2aa62e 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -8789,8 +8789,9 @@ CoordinateSystems(R): Exports == Implementation where
       pt
 
     elliptic a ==
-      pt := copy(#1)
-      u := elt(#1,1); v := elt(#1,2)
+     x+->
+      pt := copy(x)
+      u := elt(x,1); v := elt(x,2)
       pt.1 := a*cosh(u)*cos(v); pt.2 := a*sinh(u)*sin(v)
       pt
 
@@ -8798,24 +8799,27 @@ CoordinateSystems(R): Exports == Implementation where
     -- apply elliptic transformation to first 2 coordinates
 
     prolateSpheroidal a ==
-      pt := copy(#1)
-      xi := elt(#1,1); eta := elt(#1,2); phi := elt(#1,3)
+     x+->
+      pt := copy(x)
+      xi := elt(x,1); eta := elt(x,2); phi := elt(x,3)
       pt.1 := a*sinh(xi)*sin(eta)*cos(phi)
       pt.2 := a*sinh(xi)*sin(eta)*sin(phi)
       pt.3 := a*cosh(xi)*cos(eta)
       pt
 
     oblateSpheroidal a ==
-      pt := copy(#1)
-      xi := elt(#1,1); eta := elt(#1,2); phi := elt(#1,3)
+     x+->
+      pt := copy(x)
+      xi := elt(x,1); eta := elt(x,2); phi := elt(x,3)
       pt.1 := a*sinh(xi)*sin(eta)*cos(phi)
       pt.2 := a*cosh(xi)*cos(eta)*sin(phi)
       pt.3 := a*sinh(xi)*sin(eta)
       pt
 
     bipolar a ==
-      pt := copy(#1)
-      u := elt(#1,1); v := elt(#1,2)
+     x+->
+      pt := copy(x)
+      u := elt(x,1); v := elt(x,2)
       pt.1 := a*sinh(v)/(cosh(v)-cos(u))
       pt.2 := a*sin(u)/(cosh(v)-cos(u))
       pt
@@ -8824,16 +8828,18 @@ CoordinateSystems(R): Exports == Implementation where
     -- apply bipolar transformation to first 2 coordinates
 
     toroidal a ==
-      pt := copy(#1)
-      u := elt(#1,1); v := elt(#1,2); phi := elt(#1,3)
+     x+->
+      pt := copy(x)
+      u := elt(x,1); v := elt(x,2); phi := elt(x,3)
       pt.1 := a*sinh(v)*cos(phi)/(cosh(v)-cos(u))
       pt.2 := a*sinh(v)*sin(phi)/(cosh(v)-cos(u))
       pt.3 := a*sin(u)/(cosh(v)-cos(u))
       pt
 
     conical(a,b) ==
-      pt := copy(#1)
-      lambda := elt(#1,1); mu := elt(#1,2); nu := elt(#1,3)
+     x+->
+      pt := copy(x)
+      lambda := elt(x,1); mu := elt(x,2); nu := elt(x,3)
       pt.1 := lambda*mu*nu/(a*b)
       pt.2 := lambda/a*sqrt((mu**2-a**2)*(nu**2-a**2)/(a**2-b**2))
       pt.3 := lambda/b*sqrt((mu**2-b**2)*(nu**2-b**2)/(b**2-a**2))
diff --git a/changelog b/changelog
index 91f56bf..6a39e51 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090513 tpd src/axiom-website/patches.html 20090513.05.tpd.patch
+20090513 tpd books/bookvol10.4 COORDSYS +-> conversion
 20090513 tpd src/axiom-website/patches.html 20090513.04.tpd.patch
 20090513 tpd books/bookvol10.4 ODECONST +-> conversion
 20090513 tpd src/axiom-website/patches.html 20090513.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 493a767..a8137cd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1280,5 +1280,7 @@ bookvol10.4 COMMONOP +-> conversion<br/>
 bookvol10.3 MKCHSET +-> conversion<br/>
 <a href="patches/20090513.04.tpd.patch">20090513.04.tpd.patch</a>
 bookvol10.4 ODECONST +-> conversion<br/>
+<a href="patches/20090513.05.tpd.patch">20090513.05.tpd.patch</a>
+bookvol10.4 COORDSYS +-> conversion<br/>
  </body>
 </html>
